/* _kbconio.h -- include file used by 'libkb' test programs
 * Copyright (C) 1995, 1996 Markus F.X.J. Oberhumer
 * For conditions of distribution and use, see copyright notice in kb.h 
 */

/* WARNING: this file should *not* be used by applications. It is
   part of the implementation of the keyboard library and is
   subject to change. Applications should only use kb.h.
 */


/***********************************************************************
// portability wrapper for conio stuff
************************************************************************/

#include <conio.h>


#if defined(__WATCOMC__) || defined(__EMX__)

enum {
    BLACK,          /* dark colors */
    BLUE,
    GREEN,
    CYAN,
    RED,
    MAGENTA,
    BROWN,
    LIGHTGRAY,
    DARKGRAY,       /* light colors */
    LIGHTBLUE,
    LIGHTGREEN,
    LIGHTCYAN,
    LIGHTRED,
    LIGHTMAGENTA,
    YELLOW,
    WHITE
};


#if defined(__WATCOMC__)

#include <graph.h>

#define _SOLIDCURSOR		0x0007
#define _NORMALCURSOR		0x0607
#define _NOCURSOR			0x2000

#define gotoxy(x,y)			_settextposition(y,x)
#define cputs(x)			_outtext(x)
#define clrscr()			_clearscreen(0)
#define textcolor(x)		_settextcolor(x)
#define _setcursortype(x)	_settextcursor(x)

#endif /* __WATCOMC__ */


#if defined(__EMX__)

#include <sys/video.h>

#define gotoxy(x,y)			v_gotoxy((x)-1,(y)-1)
#define cputs(x)			v_puts(x)
#define clrscr()			v_clear()
#define textcolor(x)		v_attrib((x) & 0xf)
#define _setcursortype(x)

#endif /* __EMX__ */

#endif


/*
vi:ts=4
*/
